 ; Copyright 2000 EMT Software, Inc.
 ;
(defun C:LNBK (/ #ECHO #OSNP #OLDERR @NEWERR #SSA #CTA #INA #ENTA #A1 #A2
                 #SSB #CTB #INB #ENTB #B1 #B2 #IP #I1 #I2 #GAP #TMP)

  (defun @NEWERR  (%A)
    (setq *error* #OLDERR)
    (setvar "cmdecho" #ECHO)
    (setvar "osmode"  #OSNP)
    (cond ((= %A "Function cancelled") nil)
          (T (princ (strcat "\nerror: " %A ":\n"))))
    (princ))

  (setq #OLDERR *error*)
  (setq #ECHO (getvar "cmdecho"))
  (setq #OSNP (getvar "osmode"))
  (setq *error* @NEWERR)
  (setvar "cmdecho" 0)
  (setvar "osmode"  0)

  (setq #GAP (getvar "dimasz"))
  (setq #TMP (getdist (strcat "\n : <" (rtos (* #GAP 2.0)) "> ")))
  (if #TMP (setq #GAP (/ #TMP 2.0)))
  (prompt "\n (-) : ")
  (setq #SSA (ssget (list (cons 0 "LINE"))))
  (if #SSA
    (progn
      (prompt "\n(-) : ")
      (setq #SSB (ssget (list (cons 0 "LINE"))))
      (if #SSB
        (progn
          (setq #CTA (sslength #SSA)
                #INA 0)
          (while (/= #INA #CTA)
            (setq #ENTA (entget (ssname #SSA #INA))
                  #A1   (cdr (assoc 10 #ENTA))
                  #A2   (cdr (assoc 11 #ENTA))
                  #CTB  (sslength #SSB)
                  #INB  0)
            (while (/= #INB #CTB)
              (setq #ENTB (entget (ssname #SSB #INB))
                    #B1   (cdr (assoc 10 #ENTB))
                    #B2   (cdr (assoc 11 #ENTB))
                    #IP (inters #A1 #A2 #B1 #B2))
              (if (and #IP (/= (cdr (assoc -1 #ENTA)) (cdr (assoc -1 #ENTB))))
                (progn
                  (setq #I1 (polar #IP (angle #A2 #A1) #GAP)
                        #I2 (polar #IP (angle #A1 #A2) #GAP))
                  (command "_.break" #I1 "_f" #I1 #I2)))
              (setq #INB (1+ #INB)))
            (setq #INA (1+ #INA)))))))

  (setq *error* #OLDERR)
  (setvar "cmdecho" #ECHO)
  (setvar "osmode"  #OSNP)
  (princ))


;;; Uncomment for the language needed.
;(princ "\n\nLNBK͂ĊJn")  ; For Japanese.
(princ "\n\nType LNBK to start.") ; For English.

(princ)
